function [image256]=im256(image)
	mode(-1);

	mat_type=type(image);

	// Matrix = grey level image
	if mat_type==1 then
		minimum=min(image);
		image256=image;

		image256=image256-minimum; // => Minimum value is now 0
		maximum=max(image256);

		if maximum<>0 then
			coef=255/maximum;
			image256=int(image256*coef);
		else
			image256=int(image256);
		end

	// Hypermatrix = color image
	elseif mat_type==17 then

		// First, we have to test image to know if it comes from a file
		// max of each plan <256
		// integer values
		fromfile=0;
		if (max(image(:,:,1))<256) & (max(image(:,:,2))<256) & (max(image(:,:,3))<256) then
			if image(:,:,1)==int(image(:,:,1)) then
				if image(:,:,2)==int(image(:,:,2)) then
					if image(:,:,3)==int(image(:,:,3)) then
						fromfile=1;
						image256=image;
					end
				end
			end
		end
		image256=image;
		if fromfile==0 then
			minimum=min(min(image(:,:,1)),min(image(:,:,2)),max(image(:,:,3)));

			image256=image256-minimum;
			maximum=max(max(image256(:,:,1)),max(image256(:,:,2)),max(image256(:,:,3)));

			if maximum<>0 then
				coef=255/maximum;
				image256=int(image256*coef);
			else
				image256=int(image256);
			end
		end

	// Others types
	else
		disp('This matrix is not a double matrix!');
		image256='err';
		return;
	end

endfunction
