function [filtered_image]=imderiche(image,alpha,dist)
	mode(-1);

	// Read number of arguments
	[lhs,rhs] = argn(0);
	if rhs<3 then
		disp('Wrong number of arguments!');
		filtered_image='err';
		return;
	end

	mat_type=type(image);

	if mat_type==1 then
		[filtered_image]=deriche_image(image(:,:), alpha, dist);
	else
		disp('Image should have only two dimensions.')
		filtered_image='err';
	end
endfunction
