function [final_classes_image] = imvote(classes_image1, classes_image2, classes_image3, classes_image4, classes_image5)

	getf(MACROS+'verifyarguments.sci')

	// Read number of arguments
	[lhs, rhs] = argn(0)

	final_classes_image = []

	// Verify number of arguments
	if rhs < 3
		error('Use : imvote(image1,image2,image3 [,image4,image5]])')
	end

	// Verify type and size of arguments
	if rhs == 3
		[imageSize, imageDimension, msg] = verifyimages(classes_image1,classes_image2,classes_image3)
	elseif rhs == 4
	//	[imageSize, imageDimension, msg] = verifyimages(classes_image1,classes_image2,classes_image3,classes_image4)
		error('Use : imvote(image1,image2,image3 [,image4,image5]])')
	else // rhs == 5
		[imageSize, imageDimension, msg] = verifyimages(classes_image1,classes_image2,classes_image3,classes_image4, classes_image5)
	end
	if msg <> ''
		error(msg)
	end


	
	if rhs == 3
		classnb = max(max(classes_image1),max(classes_image2),max(classes_image3))
		final_classes_image = vote(imageDimension,classnb,rhs,classes_image1,classes_image2,classes_image3)
	//elseif rhs == 4
	//	classnb = max(max(classes_image1),max(classes_image2),max(classes_image3),max(classes_image4))
	//	final_classes_image = vote(imageDimension,classnb,rhs,classes_image1,classes_image2,classes_image3,classes_image4)
	else // rhs == 5
		classnb = max(max(classes_image1),max(classes_image2),max(classes_image3),max(classes_image4),max(classes_image5))
		final_classes_image = vote(imageDimension,classnb,rhs,classes_image1,classes_image2,classes_image3,classes_image4, classes_image5)
	end


endfunction



