#include "mex.h"
#include <sys/stat.h>
#include <fcntl.h>

extern Gatefunc int_imread;
extern Gatefunc int_immaskgreylevel;
extern Gatefunc int_immaskrgb;
extern Gatefunc int_createcmap;
extern Gatefunc int_createcmap128colors;
extern Gatefunc int_createcmap256colors;
extern Gatefunc int_createcmap4096colors;
extern Gatefunc int_imerode;
extern Gatefunc int_imdilate;
extern Gatefunc int_imaverage;
extern Gatefunc int_imhist;
extern Gatefunc int_improfilegreylevel;
extern Gatefunc int_improfilergb;
extern Gatefunc int_createmask;
extern Gatefunc int_write_pgm;
extern Gatefunc int_write_ppm;
extern Gatefunc int_write_png_rgb;
extern Gatefunc int_write_png_gray;
extern Gatefunc int_imotsu;
extern Gatefunc int_imderiche;
extern Gatefunc int_imlabel;
extern Gatefunc int_imclosehole;
extern Gatefunc int_imconvol;
extern Gatefunc int_imshencastan;
extern Gatefunc int_imxyz2lab;
extern Gatefunc int_imhist3D;
extern Gatefunc int_immedian;
extern Gatefunc int_immaxconnex;
extern Gatefunc int_imshapeanalysis;
extern Gatefunc int_imdcmelement;
extern Gatefunc int_imdcmheader;
extern Gatefunc int_imlearningdata;
extern Gatefunc int_imkmeanstrain;
extern Gatefunc int_imkmeansclassify;
extern Gatefunc int_imstandarddeviation;
extern Gatefunc int_imfuzzykmeanstrain;
extern Gatefunc int_imfuzzykmeansclassify;
extern Gatefunc int_imfuzzykmeansclassify_2;
extern Gatefunc int_imhierarclustrain;
extern Gatefunc int_imkohonentrain;
extern Gatefunc int_imvote;
extern Gatefunc int_imgrowing;


static GenericTable Tab[]={
	{(Myinterfun) sci_gateway, int_imread,"int_imread"},
	{(Myinterfun) sci_gateway, int_immaskgreylevel,"int_immaskgreylevel"},
	{(Myinterfun) sci_gateway, int_immaskrgb,"int_immaskrgb"},
	{(Myinterfun) sci_gateway, int_createcmap,"int_createcmap"},
	{(Myinterfun) sci_gateway, int_createcmap128colors,"int_createcmap128colors"},
	{(Myinterfun) sci_gateway, int_createcmap256colors,"int_createcmap256colors"},
	{(Myinterfun) sci_gateway, int_createcmap4096colors,"int_createcmap4096colors"},
	{(Myinterfun) sci_gateway, int_imerode,"int_imerode"},
	{(Myinterfun) sci_gateway, int_imdilate,"int_imdilate"},
	{(Myinterfun) sci_gateway, int_imaverage,"int_imaverage"},
	{(Myinterfun) sci_gateway, int_imhist,"int_imhist"},
	{(Myinterfun) sci_gateway, int_improfilegreylevel,"int_improfilegreylevel"},
	{(Myinterfun) sci_gateway, int_improfilergb,"int_improfilergb"},
	{(Myinterfun) sci_gateway, int_createmask,"int_createmask"},
	{(Myinterfun) sci_gateway, int_write_pgm,"int_write_pgm"},
	{(Myinterfun) sci_gateway, int_write_ppm,"int_write_ppm"},
	{(Myinterfun) sci_gateway, int_write_png_rgb,"int_write_png_rgb"},
	{(Myinterfun) sci_gateway, int_write_png_gray,"int_write_png_gray"},
	{(Myinterfun) sci_gateway, int_imotsu,"int_imotsu"},
	{(Myinterfun) sci_gateway, int_imderiche,"int_imderiche"},
	{(Myinterfun) sci_gateway, int_imlabel,"int_imlabel"},
	{(Myinterfun) sci_gateway, int_imclosehole,"int_imclosehole"},
	{(Myinterfun) sci_gateway, int_imconvol,"int_imconvol"},
	{(Myinterfun) sci_gateway, int_imshencastan,"int_imshencastan"},
	{(Myinterfun) sci_gateway, int_imxyz2lab,"int_imxyz2lab"},
	{(Myinterfun) sci_gateway, int_imhist3D,"int_imhist3D"},
	{(Myinterfun) sci_gateway, int_immedian,"int_immedian"},
	{(Myinterfun) sci_gateway, int_immaxconnex,"int_immaxconnex"},
	{(Myinterfun) sci_gateway, int_imshapeanalysis,"int_imshapeanalysis"},
	{(Myinterfun) sci_gateway, int_imdcmelement,"int_imdcmelement"},
	{(Myinterfun) sci_gateway, int_imdcmheader,"int_imdcmheader"},
	{(Myinterfun) sci_gateway, int_imlearningdata,"int_imlearningdata"},
	{(Myinterfun) sci_gateway, int_imkmeanstrain,"int_imkmeanstrain"},
	{(Myinterfun) sci_gateway, int_imkmeansclassify,"int_imkmeansclassify"},
	{(Myinterfun) sci_gateway, int_imstandarddeviation,"int_imstandarddeviation"},
	{(Myinterfun) sci_gateway, int_imfuzzykmeanstrain,"int_imfuzzykmeanstrain"},
	{(Myinterfun) sci_gateway, int_imfuzzykmeansclassify,"int_imfuzzykmeansclassify"},
	{(Myinterfun) sci_gateway, int_imfuzzykmeansclassify_2,"int_imfuzzykmeansclassify_2"},
	{(Myinterfun) sci_gateway, int_imhierarclustrain,"int_imhierarclustrain"},
	{(Myinterfun) sci_gateway, int_imkohonentrain,"int_imkohonentrain"},
	{(Myinterfun) sci_gateway, int_imvote,"int_imvote"},
	{(Myinterfun) sci_gateway, int_imgrowing,"int_imgrowing"}
};

int C2F(imlab_gateway)()
{
	Rhs=Max(0, Rhs);
	(*(Tab[Fin-1].f))(Tab[Fin-1].name,Tab[Fin-1].F);
	return 0;
}
