
#ifndef INTCREATEMASK_H
#define INTCREATEMASK_H

/******************************************************************************/
/* Interface Scilab <-> createmask                                            */
/******************************************************************************/
/* Creation : 16/08/2001 (V. COUVERT)                                         */
/* Last modification : 21/06/2004 (V. POMMEREUL)                              */
/******************************************************************************/
int int_createmask(char *fname);


/******************************************************************************/
/* Mask creation function                                                     */
/******************************************************************************/
int createmask(int **mask, char type, int width, int height, int *xsel, int *ysel,
			   int nb_pt_def, int *ierr);

/******************************************************************************/
/* Flood filling function                                                     */
/******************************************************************************/
int xvw_flood_fill(int **mask, int  w, int  h, int  x, int  y, int  set, int  val);

/******************************************************************************/
/* Roi scanning and filling function                                          */
/******************************************************************************/
int xvw_scanline_fill(int **mask, int w, int h, int set, int val);


#endif


