
#ifndef INTIMCLOSEHOLE_H
#define INTIMCLOSEHOLE_H

/******************************************************************************/
/* Interface Scilab <-> imclosehole                                           */
/******************************************************************************/
/* Creation : 10/04/2002 (V. COUVERT)                                         */
/* Last modification : 21/06/2004 (V. POMMEREUL)                              */
/******************************************************************************/
int int_imclosehole(char *fname);


/******************************************************************************/
/* Closing function                                                           */
/******************************************************************************/
int close_hole_image(double *image, int width, int height, 
					 double **closed_image, int *ierr);

/******************************************************************************/
/* Recursive function to detect 4-connexity or 8-connexity in background      */
/******************************************************************************/
void background_neighbor(double *image, double **closed_image, int x, int y, double back,
 int w, int h, int connectivity);



#endif







