
#ifndef INTIMDCMHEADER_H
#define INTIMDCMHEADER_H

#ifdef unix
#include <sys/stat.h>
#define O_BINARY       0x8000
#else
#include <sys\stat.h>
#endif

/* CTN library header files */
#include "dicom.h"
#include "condition.h"
#include "lst.h"
#include "dicom_objects.h"
#include "dicom_uids.h"
#include "ctnthread.h"
#include "dcmprivate.h"
#define LINE_STRING "\n------------------------------------------------------------------------------------\n"


/******************************************************************************/
/* Interface Scilab <-> imdcmheader                                           */
/******************************************************************************/
/* Creation : 18/06/2002 (V. COUVERT)                                         */
/* Last modification : 21/06/2004 (V. POMMEREUL)                              */
/******************************************************************************/
int int_imdcmheader(char *fname);


/******************************************************************************/
/* Header file reading function                                               */
/******************************************************************************/
int dcm_header(char *filename, char *output_file, int *ierr);


/******************************************************************************/
/* Elements of groups reading function                                        */
/******************************************************************************/
int print_list_elem(int id, LST_HEAD *elementList);



#endif







