
#ifndef INTIMHIERARCLUSTRAIN_H
#define INTIMHIERARCLUSTRAIN_H

#include "int_hypermatrix.h"

/**********************************************************************************/
/* Interface Scilab<->imhierarclustrain                                           */
/**********************************************************************************/
int int_imhierarclustrain(char *fname);

/**********************************************************************************/
/* Hierarchical clustering method training phase function for a 2D image          */
/**********************************************************************************/
int train_hierarclus_mat(double *learningData, int nbPoints, int nbFunc, int nbClasses, double **prototype);

/**********************************************************************************/
/* Hierarchical clustering method training phase function for a 3D or 4D image    */
/**********************************************************************************/
int train_hierarclus_hypmat(HyperMat learningData, int nbClasses, HyperMat *prototype);

#endif


