
#ifndef INTIMHIST3D_H
#define INTIMHIST3D_H

/******************************************************************************/
/* Interface Scilab <-> imhist3D                                              */
/******************************************************************************/
/* Creation : 30/04/2002 (S. BONDU)                                           */
/* Last modification : 21/06/2004 (V. POMMEREUL)                              */
/******************************************************************************/
int int_imhist3D(char *fname);

/******************************************************************************/
/* Histogram computing function                                               */
/******************************************************************************/
int hist3D(double *p1, double *p2, double *p3, double *pMask, 
		   int Width, int Height, double min1, double max1, double min2, 
		   double max2, double min3, double max3, double **pHist3D, 
		   int *hist_size, double step, int *ierr);


#endif







