
#ifndef INTIMKOHONENTRAIN_H
#define INTIMKOHONENTRAIN_H

#include "int_hypermatrix.h"

/******************************************************************************/
/* Interface Scilab<->imkohonentrain                                          */
/******************************************************************************/
int int_imkohonentrain(char *fname);

/******************************************************************************/
/* Kohonen SOM method training phase function for a 2D image                  */
/******************************************************************************/
int train_kohonen_mat(double *learningData, int nbPoints, int nbFunc, int nbClasses,
						int nbIter, double **prototype);

/******************************************************************************/
/* Kohonen SOM  method training phase function for a 3D or 4D image           */
/******************************************************************************/
int train_kohonen_hypmat(HyperMat learningData, int nbClasses, int nbIter, HyperMat *prototype);

#endif


