
#ifndef INTWRITEPPM_H
#define INTWRITEPPM_H

/******************************************************************************/
/* Interface Scilab<->ppm_write                                               */
/******************************************************************************/
/* Creation : 25/03/2002 (V. COUVERT)                                         */
/* Last modification : 23/06/2004 (V. POMMEREUL)                              */
/******************************************************************************/
int int_write_ppm(char *fname);


/******************************************************************************/
/* Function used to read a PPM extension file                                 */
/* 24-bit color image                                                         */
/******************************************************************************/
int ppm_write(char *filename, unsigned int *redimage, unsigned int *greenimage, 
			  unsigned int *blueimage, int m, int n, int *ierr);




#endif







