// This file has to be used in case of new Scilab version (current version is 2.6)

// To avoid problems with pathnames including long names
// We make a local copy of$SCI/Makefile.incl.mak

// Get the absolute path
[units,typs,nams]=file();
clear units typs
for k=size(nams,'*'):-1:1
	l=strindex(nams(k),'CopyMakefile.sce');
	if l<>[] then
		DIR=part(nams(k),1:l($)-1);
		break
	end
end

if part(DIR,2)<>':' then
		DIR=getcwd()+'\'+DIR
end

SCI_WIN=strsubst(SCI,'/','\') // Scilab path under Windows

disp('Creating local copy of $SCI/Makefile.incl.mak')
mkf=read(SCI_WIN+'\Makefile.incl.mak',-1,1,'(a)')
mkf=strsubst(mkf,'$(SCIDIR)/routines/f2c','""'+SCI_WIN+'\routines\f2c""')
mkf=strsubst(mkf,'$(SCIDIR1)\bin\f2c.exe','""'+SCI_WIN+'\bin\f2c.exe""')
mkf=strsubst(mkf,'$(SCIDIR)',SCI_WIN)
mkf=strsubst(mkf,'$(SCIDIR1)',SCI_WIN)
u=file('open',DIR+'Makefile.incl.mak','unknown')
write(u,mkf,'(a)')
file('close',u)

// Local copy has been modified manually (V. COUVERT)
// Be careful if you make a new copy of $SCI/Makefile.incl.mak
// Refer to ReadmeCopyMakefile.txt
