
function [pauto,pmanu,Ninter,Nauto,Nmanu]=impmanpauto(auto,manu)

	//comparison between manual and automatic segmentations
	//this function compares 2 masks calculating the number of common pixels

	inter	= zeros(512,512);
	inter(auto==1 & manu==1)=1;
	Ninter	= sum(inter);	//number of pixels in the intersection
	Nauto	= sum(auto);	//number of pixels of the automatically segmented region
	Nmanu	= sum(manu);	//number of pixels of the manually segmented region

	if Nauto==0
		Nauto=1;
	end
	pauto	= 100*Ninter/Nauto;
	pmanu	= 100*Ninter/Nmanu;

endfunction
