function [mask]=imroi(image,shape)
	mode(-1);
	
	mat_type=type(image);

	//Grey level image
	if mat_type==1 then
		mask=imroigreylevel(image,shape);
		if mask<>'err' then
			[masked_image]=immask(image,mask);
			imshowgreylevel(masked_image,0);
		else
			disp('Can t display masked image !');
			return;
		end
	// Color image
	elseif mat_type==17 then
		mask=imroirgb(image,shape);
		if mask<>'err' then
			[masked_image]=immask(image,mask);
			imshowrgb(masked_image,0);
		else
			disp('Can t display masked image !');
			return;
		end
	else
		mask='err';
		disp('This image format is not included.');
	end
endfunction
