
#ifndef INTIMAVERAGE_H
#define INTIMAVERAGE_H


/**************************************************************************************************************/
/* Interface Scilab<->imaverage                                                                               */
/**************************************************************************************************************/
/* Creation : 02/08/2001 (V. COUVERT)                                            */
/* Last modification : 21/06/2004 (V. POMMEREUL)                                 */
/**************************************************************************************************************/
int int_imaverage(char *fname);


/******************************************************************************/
/* Image average value computation function                                   */
/******************************************************************************/
int average_image(double *image, int width, int height, double *kernel, 
				  int kernel_width, int kernel_height, double ** average_image, 
				  double *mask, int *ierr);


#endif


