
#ifndef INTIMCONVOL_H
#define INTIMCONVOL_H

/******************************************************************************/
/* Interface Scilab <-> imconvol                                              */
/******************************************************************************/
/* Creation : 09/04/2002 (V. COUVERT)                                         */
/* Last modification : 21/06/2004 (V. POMMEREUL)                              */
/******************************************************************************/
int int_imconvol(char *fname);


/******************************************************************************/
/* Image convolution computation function                                     */
/******************************************************************************/
int convol_image(double *image, int width, int height, double *kernel,
				 int kernel_width, int kernel_height, double **convol_image,
				 double *mask, int *ierr);


#endif







