
#ifndef INTIMERODE_H
#define INTIMERODE_H

/******************************************************************************/
/* Interface Scilab <-> imerode                                               */
/******************************************************************************/
/* Creation : 03/08/2001 (V. COUVERT)                                         */
/* Last modification : 21/06/2004 (V. POMMEREUL)                              */
/******************************************************************************/
int int_imerode(char *fname);


/******************************************************************************/
/* Image erosion function                                                     */
/******************************************************************************/
int erode_image(double *image, int width, int height, double *kernel, 
				int kernel_width, int kernel_height, double **eroded_image, 
				double *mask, int *ierr);


#endif







