
#ifndef INTIMGROWING_H
#define INTIMGROWING_H


/******************************************************************************/
/* Interface Scilab <-> imgrowing                                             */
/******************************************************************************/
/* Creation : 16/05/2002 (V. COUVERT)                                         */
/* Last modification : 29/06/2004 (V. POMMEREUL)                              */
/******************************************************************************/
int int_imgrowing(char *fname);


/*********************************************************************************************************************/
/* Region expansion function                                                                                         */
/*********************************************************************************************************************/
int growing_region(double *image, double *mask, int width, int height, 
				   int *seeds, int seeds_nb, int seeds_size, double thres, 
				   double thres2, int choix, double **mask_region, int **iter, 
				   int *ierr);


/*********************************************************************************************************************/
/* Distance definition function                                                                                      */
/*********************************************************************************************************************/
double distance(double a, double b);


#endif