
#ifndef INTIMMEDIAN_H
#define INTIMMEDIAN_H

/******************************************************************************/
/* Interface Scilab <-> immedian                                              */
/******************************************************************************/
/* Creation : 13/05/2002 (V. COUVERT)                                         */
/* Last modification : 23/06/2004 (V. POMMEREUL)                              */
/******************************************************************************/
int int_immedian(char *fname);


/******************************************************************************/
/* Long comparison function                                                   */
/******************************************************************************/
int compare(double *doub1, double *doub2);


/******************************************************************************/
/* Median image computation function                                          */
/******************************************************************************/
int median_image(double *image, int width, int height, double *kernel,
				 int kernel_width, int kernel_height, double **median_image,
				 double *mask, int *ierr);


#endif







