
#ifndef INTIMVOTE_H
#define INTIMVOTE_H

#include "int_hypermatrix.h"

/******************************************************************************/
/* Interface Scilab<->imvote                                                  */
/******************************************************************************/
int int_imvote(char *fname);

/******************************************************************************/
/* Vote function for a 2D image                                               */
/******************************************************************************/
int vote_2D(int nbIm, int classNb, double *image[NBIMAGES_MAX], int height, int width, double **final_classes_image);

/******************************************************************************/
/* Vote function for a 3D or 4D image                                         */
/******************************************************************************/
int vote_3D_4D(int nbIm, int classNb, HyperMat images[NBIMAGES_MAX], HyperMat *final_classes_image);

/******************************************************************************/
/* Vote function                                                              */
/******************************************************************************/
void voter(int nbIm, int classNb, HyperMat images[NBIMAGES_MAX], HyperMat final_classes_image);


#endif


